Oore CI
ReferenceAPIOperationsBuilds

Create build

Queues a new build for the specified project.

Operation IDcreate_build
POST
/v1/projects/{project_id}/builds

Queues a new build for the specified project.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

project_id*string

Project ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/builds" \  -H "Content-Type: application/json" \  -d '{    "pipeline_id": "string"  }'
{  "build": {    "branch": "string",    "build_number": 0,    "changelog": "string",    "commit_sha": "string",    "config_snapshot": {},    "context": null,    "created_at": 0,    "exit_code": 0,    "finished_at": 0,    "id": "string",    "pipeline_id": "string",    "project_id": "string",    "queued_at": 0,    "runner_id": "string",    "runner_policy_block_reason": null,    "source_build_id": "string",    "started_at": 0,    "status": "queued",    "step_results": [      {        "duration_ms": 0,        "exit_code": 0,        "finished_at": 0,        "name": "string",        "started_at": 0,        "status": "string"      }    ],    "trigger_actor": "string",    "trigger_event": "string",    "trigger_ref": "string",    "trigger_type": "manual",    "updated_at": 0  }}